Bug 1652248 - xfsprogs: rebase to 4.19
Summary: xfsprogs: rebase to 4.19
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: xfsprogs
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Eric Sandeen
QA Contact: Zorro Lang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-21 18:10 UTC by Eric Sandeen
Modified: 2019-06-14 01:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 01:25:49 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Eric Sandeen 2018-11-21 18:10:50 UTC
The xfs code in the RHEL8 kernel has been rebased to 4.19; while not strictly necessary, it would be good to have xfsprogs in sync as well, so that i.e. libxfs/ code matches.

There have also been several bugfixes in 4.19 as well as at least one regression fix.  There are 3 or so open RHEL8 bugs that will also be fixed by a rebase.

xfsprogs-4.19.0-rc1 (10 Oct 2018)
        - Remove non-linux platforms (Eric Sandeen)
        - Remove retpoline support (Eric Sandeen)
        - Add sparse checking & related fixes/cleanups (Eric Sandeen)
        - Fix cross-platform building w.r.t. crc32selftest
        - libxfs: add agfl free deferred op type (Darrick Wong)
        - mkfs.xfs: discard only after all validations (Jan Tulak)
        - xfs_repair: fix segfault in longform_dir2_entry_check
        - xfs_repair: fix ASSERT in xfs_bunmapi (Eric Sandeen)
        - xfs_repair: fix readahead thread deadlock/stall (Eric Sandeen)
        - xfs_repair: avoid writing back all inodes (Dave Chinner)
        - xfs_repair: don't treat directory root LEAFN as corrupt (Dave Chinner)
        - xfs_io: add crc32 self test (Darrick Wong)
        - xfs_io: remove useless do_preadv and do_pwritev arguments (Zorro Lang)
        - xfs_scrub: make scrub build config-optional (Eric Sandeen)
        - xfs_scrub: lack of kernel support is not a service failure (Darrick Wong)
        - xfs_scrub_all: fix systemd escaping (Darrick Wong)

xfsprogs-4.19.0-rc0 (10 Oct 2018)
        - Majority of 4.19 libxfs changes merged from kernel
        - Big sparse static checker cleanup (Eric Sandeen)
        - mkfs.xfs discard fixes (Jan Tulak)
        - xfs_io readv/writev cleanup (Zorro Lang)
        - libxfs transaction commit error checking (Darrick Wong)

Comment 2 Eric Sandeen 2018-11-27 19:31:23 UTC
Built in xfsprogs-4.19.0-1.el8


Note You need to log in before you can comment on or make changes to this bug.